#include "editdbdialog.h"
#include "ui_editdbdialog.h"

editDBDialog::editDBDialog(QSqlDatabase db_copy, QWidget *parent) :
    db(db_copy),
    QDialog(parent),
    ui(new Ui::editDBDialog)
{
    ui->setupUi(this);
    ui->tablesList->addItems(db.tables());
    refresh();
    connect(ui->tablesList, &QListWidget::clicked, this, &editDBDialog::selectTable);
}

editDBDialog::~editDBDialog()
{
    delete ui;
}


void editDBDialog::refresh()
{
   // ui->tablesList->clear();
    //QStringList table_list = db.tables();
    //ui->tablesList->addItems(db.tables());
}


void editDBDialog::on_runQueryBtn_clicked()
{
    QString qry_str = ui->queryWnd->toPlainText();
    QSqlQuery *qry = new QSqlQuery(db);
    if (qry->exec(qry_str))
    {
        ui->queryHistory->append(qry_str);
        refresh();
        QSqlQueryModel *model = new QSqlQueryModel();
        model->setQuery(*qry);
        ui->curTableTV->setModel(model);
    }
    else
    {
        QMessageBox::warning(this, "Failed to execute query", "Query is wrong! Check it and try again.");
    }
}


void editDBDialog::on_clearBtn_clicked()
{
    ui->queryWnd->clear();
}

void editDBDialog::selectTable(const QModelIndex &index)
{
    QSqlQueryModel *model = new QSqlQueryModel;
    QSqlQuery *qry = new QSqlQuery(db);
    QString qry_str = "SELECT * FROM ";
    qry_str.append(index.data().toString());
    qry->exec(qry_str);
    model->setQuery(*qry);
    ui->curTableTV->setModel(model);
}



void editDBDialog::on_changeServerBtn_clicked()
{
    emit signInWndShow();
}

