#ifndef EDITDBDIALOG_H
#define EDITDBDIALOG_H


#include <QDialog>
#include <QSqlQueryModel>
#include <QSqlQuery>
#include <QSqlDatabase>
#include <QMessageBox>


namespace Ui {
class editDBDialog;
}

class editDBDialog : public QDialog
{
    Q_OBJECT

public:
    explicit editDBDialog(QSqlDatabase db, QWidget *parent = nullptr);
    ~editDBDialog();

    void refresh();


signals:
    void signInWndShow(); //signal to show sign in window


private slots:

    void on_runQueryBtn_clicked();

    void on_clearBtn_clicked();

    void selectTable(const QModelIndex& index);

    void on_changeServerBtn_clicked();

private:
    Ui::editDBDialog *ui;
    QSqlDatabase db;
};

#endif // EDITDBDIALOG_H

/*
 CREATE TABLE agents(name TEXT, surname TEXT, age INT, department TEXT);
 INSERT INTO agents VALUES ('Alex', 'Mason', 41, 'SAS'),
                           ('Frank', 'Woods', 37, 'NATO'),
                           ('Russel', 'Adler', 36, 'NATO'),
                           ('Mishel', 'Park', 28, 'STU');
 UPDATE agents
 SET age = 38
 WHERE name = 'Frank'
*/
