#include "signindialog.h"
#include "ui_signindialog.h"

signInDialog::signInDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::signInDialog)
{
    ui->setupUi(this);

    DB_wnd = new editDBDialog(db); //initialize window editDBDialog
    //connect to slot of sign in window when appropriate button in editDBDialog is pressed
    connect(DB_wnd, &editDBDialog::signInWndShow, this, &signInDialog::showWnd);
    QSettings settings;
    settings.beginGroup("/Database_browser/settings");
    ui->databasename_lineEdit->setText (settings.value("Database_name", "fn1131_2021" ).toString());
    ui->hostname_lineEdit->setText     (settings.value("Host"         , "195.19.32.74").toString());
    ui->port_lineEdit->setText         (settings.value("Port"         , 5432          ).toString());
    ui->username_lineEdit->setText     (settings.value("Log1n"        , "student"     ).toString());
    ui->password_lineEdit->setText     (settings.value("Password"     , "bmstu"       ).toString());
    settings.sync();
    settings.endGroup();
}

signInDialog::~signInDialog()
{
    delete ui;
}

void signInDialog::on_pushButton_clicked()
{
    /*
        HostName: 195.19.32.74;
        DatabaseName: fn1131_2021
        Port: 5432
        UserName: student
        Password: bmstu
    */
    db = QSqlDatabase::addDatabase("QPSQL");
    db.setHostName(ui->hostname_lineEdit->text());
    db.setDatabaseName(ui->databasename_lineEdit->text());
    db.setPort(ui->port_lineEdit->text().toInt());
    db.setUserName(ui->username_lineEdit->text());
    db.setPassword(ui->password_lineEdit->text());

    if(!db.open())
    {
        QMessageBox msgBox;
        msgBox.setText("Failed to connect to database. Check inputed data.");
        msgBox.setIcon(QMessageBox::Warning);
        msgBox.exec();
    }
    else
    {
        QSettings settings;
        settings.beginGroup("/Database_browser/settings");
        settings.setValue("Database_name", ui->databasename_lineEdit->text());
        settings.setValue("Host"      , ui->hostname_lineEdit->text());
        settings.setValue("Port"         , ui->port_lineEdit->text()    );
        settings.setValue("Log1n"        , ui->username_lineEdit->text());
        settings.setValue("Password"     , ui->password_lineEdit->text());
        settings.sync();
        qDebug() << settings.fileName();
        settings.endGroup();
        DB_wnd->show();
        this->close();
    }
}

void signInDialog::showWnd()
{
    this->setModal(true);
    this->show();
}

